Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev1
Class InstalledSoftwarePdu

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--uk.co.westhawk.snmp.stack.Pdu
                  |
                  +--uk.co.westhawk.snmp.stack.GetNextPdu
                        |
                        +--uk.co.westhawk.examplev1.InstalledSoftwarePdu

public class InstalledSoftwarePdu
extends GetNextPdu

The class InstalledSoftwarePdu. This file is auto generated by the StubBrowser utility, using Mibble. See the uk/co/westhawk/stub/ directory. Make sure that you replace the package name and classname placeholders. Also, move this file to the correct package directory. If these things are not done, this class will not compile correctly!!

Version:
  $Revision: 1.3 $ $Date: 2006/03/23 14:40:58 $

Field Summary
`protected java.util.Calendar` | `_hrSWInstalledDate`
`protected java.lang.String` | `_hrSWInstalledName`
`protected java.lang.Integer` | `_hrSWInstalledType`
`protected java.util.HashMap` | `_hrSWInstalledTypeMap`
`protected boolean` | `_invalid`
`protected int` | `_tmpErrorInd`
`protected int` | `_tmpErrorStat`
`static java.lang.String[]` | `all_oids`
`static java.lang.String[]` | `col_oids`
`static java.lang.String` | `hrSWInstalledDate_OID`
`static java.lang.String` | `hrSWInstalledName_OID`
`static java.lang.String` | `hrSWInstalledType_OID`
`static int` | `NO_COL`
`static int` | `NO_OID`
`static int` | `NO_SCAL`
`static java.lang.String[]` | `scal_oids`

Fields inherited from class uk.co.westhawk.snmp.stack.Pdu
`added, answered, context, encodedPacket, errind, errstat, msg_type, reqVarbinds, respVarbinds, snmpv3MsgId`

Constructor Summary
`InstalledSoftwarePdu(SnmpContextBasisFace con)` Constructor.
`InstalledSoftwarePdu(SnmpContextBasisFace con, java.util.Observer o)` Constructor that will send the first request immediately.

Method Summary
`void` | `addOids(InstalledSoftwarePdu old)` The method addOids is the basis for the GetNext functionality.
`void` | `addOids(int index)` This method sets the column index.
`java.util.Calendar` | `getHrSWInstalledDate()`
`java.lang.String` | `getHrSWInstalledName()`
`java.lang.Integer` | `getHrSWInstalledType()`
`java.lang.String` | `getHrSWInstalledTypeStr()`
`boolean` | `isInvalid()` Returns if this set of values is invalid.
`protected void` | `new_value(int n, varbind res)` The value of the request is set.
`void` | `setHrSWInstalledDate(AsnObject new_value)` hrSWInstalledDate TYPE DateAndTime ::= TEXTUAL-CONVENTION ( Display-Hint: 2d-1d-1d,1d:1d:1d.1d,1a1d:1d Status: current Description: A date-time specification.
`void` | `setHrSWInstalledName(AsnObject new_value)` hrSWInstalledName TYPE InternationalDisplayString ::= TEXTUAL-CONVENTION ( Status: current Description: This data type is used to model textual information in some character set.
`void` | `setHrSWInstalledType(AsnObject new_value)` hrSWInstalledType OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (1 | 2 | 3 | 4) Access: read-only Status: current Description: The type of this software. )
`java.lang.String` | `toString()` Returns the string representation of the PDU.

Methods inherited from class uk.co.westhawk.snmp.stack.Pdu
`addOid, addOid, addOid, addOid, addOid, addToTrans, getContext, getErrorIndex, getErrorStatus, getErrorStatusString, getMsgType, getReqId, getRequestVarbinds, getResponseVarbinds, isExpectingResponse, isTimedOut, notifyObservers, printVars, send, send, send, sendme, setErrorIndex, setErrorStatus, setErrorStatus, setMsgType, setRetryIntervals, tell_them, toString, waitForSelf`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hrSWInstalledName_OID

    public static final java.lang.String hrSWInstalledName_OID

See Also:
  Constant Field Values

### hrSWInstalledType_OID

    public static final java.lang.String hrSWInstalledType_OID

See Also:
  Constant Field Values

### hrSWInstalledDate_OID

    public static final java.lang.String hrSWInstalledDate_OID

See Also:
  Constant Field Values

### NO_SCAL

    public static final int NO_SCAL

See Also:
  Constant Field Values

### NO_COL

    public static final int NO_COL

See Also:
  Constant Field Values

### NO_OID

    public static final int NO_OID

See Also:
  Constant Field Values

### scal_oids

    public static final java.lang.String[] scal_oids

### col_oids

    public static final java.lang.String[] col_oids

### all_oids

    public static final java.lang.String[] all_oids

### _hrSWInstalledName

    protected java.lang.String _hrSWInstalledName

### _hrSWInstalledTypeMap

    protected java.util.HashMap _hrSWInstalledTypeMap

### _hrSWInstalledType

    protected java.lang.Integer _hrSWInstalledType

### _hrSWInstalledDate

    protected java.util.Calendar _hrSWInstalledDate

### _invalid

    protected boolean _invalid

### _tmpErrorInd

    protected int _tmpErrorInd

### _tmpErrorStat

    protected int _tmpErrorStat

Constructor Detail

### InstalledSoftwarePdu

    public InstalledSoftwarePdu(SnmpContextBasisFace con)

  Constructor.

Parameters:
  `con` - The context of the request

### InstalledSoftwarePdu

    public InstalledSoftwarePdu(SnmpContextBasisFace con,
                                java.util.Observer o)
                         throws PduException,
                                java.io.IOException

  Constructor that will send the first request immediately.

Parameters:
  `con` - The context of the request
  `o` - the Observer that will be notified when the answer is received

Method Detail

### addOids

    public void addOids(InstalledSoftwarePdu old)

  The method addOids is the basis for the GetNext functionality. If old is null, it initialises the varbinds from all_oids. If old is not null, it copies the column OIDs from the old InstalledSoftwarePdu object. so the request continues where the previous one left. Note, the scalars and the columns OIDs are handled differently. The scalars are always copied from the original scal_oids, only the column OIDs are copied from the old InstalledSoftwarePdu object.

### addOids

    public void addOids(int index)

  This method sets the column index. By doing this, the request will return (only) the row after row index. The index parameters only applies to the column OIDs. The scalars are copied from the original scal_oids.

### new_value

    protected void new_value(int n,
                             varbind res)

  The value of the request is set. This will be called by Pdu.fillin(). I check if the variables are still in range. I do this because I'm only interessed in a part of the MIB. If I would not do this check, I'll get the whole MIB from the starting point, instead of the variables in the table.

  Overrides:
    `new_value` in class `Pdu`
  Parameters:
    `n` - the index of the value
  See Also:
    `Pdu.new_value(int, uk.co.westhawk.snmp.stack.varbind)`

### setHrSWInstalledName

    public void setHrSWInstalledName(AsnObject new_value)

  hrSWInstalledName
  TYPE InternationalDisplayString ::= TEXTUAL-CONVENTION ( Status: current Description: This data type is used to model textual information in some character set. A network management station should use a local algorithm to determine which character set is in use and how it should be displayed. Note that this character set may be encoded with more than one octet per symbol, but will most often be NVT ASCII. When a size clause is specified for an object of this type, the size refers to the length in octets, not the number of symbols. Syntax: [UNIVERSAL 4] OCTET STRING )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..64)) Access: read-only Status: current Description: A textual description of this installed piece of software, including the manufacturer, revision, the name by which it is commonly known, and optionally, its serial number. )

### getHrSWInstalledName

    public java.lang.String getHrSWInstalledName()

### setHrSWInstalledType

    public void setHrSWInstalledType(AsnObject new_value)

  hrSWInstalledType
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (1 | 2 | 3 | 4) Access: read-only Status: current Description: The type of this software. )

### getHrSWInstalledTypeStr

    public java.lang.String getHrSWInstalledTypeStr()

### getHrSWInstalledType

    public java.lang.Integer getHrSWInstalledType()

### setHrSWInstalledDate

    public void setHrSWInstalledDate(AsnObject new_value)

  hrSWInstalledDate
  TYPE DateAndTime ::= TEXTUAL-CONVENTION ( Display-Hint: 2d-1d-1d,1d:1d:1d.1d,1a1d:1d Status: current Description: A date-time specification. field octets contents range ----- ------ -------- ----- 1 1-2 year* 0..65536 2 3 month 1..12 3 4 day 1..31 4 5 hour 0..23 5 6 minutes 0..59 6 7 seconds 0..60 (use 60 for leap-second) 7 8 deci-seconds 0..9 8 9 direction from UTC '+' / '-' 9 10 hours from UTC* 0..13 10 11 minutes from UTC 0..59 Notes: - the value of year is in network-byte order - daylight saving time in New Zealand is +13 For example, Tuesday May 26, 1992 at 1:30:15 PM EDT would be displayed as: 1992-5-26,13:30:15.0,-4:0 Note that if only local time is known, then timezone information (fields 8-10) is not present. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (8 | 11)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (8 | 11)) Access: read-only Status: current Description: The last-modification date of this application as it would appear in a directory listing. If this information is not known, then this variable shall have the value corresponding to January 1, year 0000, 00:00:00.0, which is encoded as (hex)'00 00 01 01 00 00 00 00'. )

### getHrSWInstalledDate

    public java.util.Calendar getHrSWInstalledDate()

### isInvalid

    public boolean isInvalid()

  Returns if this set of values is invalid.

### toString

    public java.lang.String toString()

  Description copied from class: `Pdu`
  Returns the string representation of the PDU.

  Overrides:
    `toString` in class `Pdu`
  Returns:
    The string of the PDU

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD